<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2005-2007 pragmaMx Dev Team - http://pragmaMx.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Source: /home/www/dps3311/home/cvsroot/pragmamx/pragmamx_01/includes/mx_themes.php,v $
 * $Revision: 1.13 $
 * $Author: tora60 $
 * $Date: 2007/08/06 10:26:07 $
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(dirname(__FILE__));
#mxGetLangfile($module_name);

$rssfile = 'backend.php';
// Backend includen um Mglichkeiten und Voreinstellungen festzustellen
define('MX_RSS_LIST', 1);
// ob_start();
include($rssfile);
// ob_end_clean();
// error_reporting(E_ALL);
echo MX_HOME_URL . "/" . $logo;
// / selectfeld fr Typen (Aktion)
if (!isset($_POST['action'])) {
    $_POST['action'][$op] = 1;
}
$options_action = array();
foreach ($actions as $key => $action) {
    if (preg_match('#^(auswahl|all)$#i', $action)) {
        unset($actions[$key]);
        continue;
    }
    $sel = (isset($_POST['action'][$action])) ? ' checked="checked"' : '';
    $options_action[] = '<input type="checkbox" name="action[' . $action . ']" value="1"' . $sel . '>&nbsp;' . $action;
}
$options_action = implode('<br>', $options_action);
// / selectfeld fr Versionen
$_POST['version'] = (isset($_POST['version']) && in_array($_POST['version'], $versions)) ? $_POST['version'] : $version;
// $i = 0;
// $i_max = count($versions);
// $i_half = ceil($i_max/2);
$options_version = array();
foreach ($versions as $ver) {
    $sel = ($ver == $_POST['version']) ? ' checked="checked"' : '';
    // $br  = ($i_max>5 && $i == $i_half) ? '<br>' : '';
    $options_version[] = '<input type="radio" name="version" value="' . $ver . '"' . $sel . '>&nbsp;' . $ver; #.$br
    // $i++;
}
$options_version = implode('<br>', $options_version);

$para[] = 'version=' . $_POST['version'];

if (count($actions) == count($_POST['action'])) {
    $para[] = 'op=all';
} else if (count($_POST['action']) == 1) {
    $x = array_keys($_POST['action']);
    $para[] = 'op=' . $x[0];
    unset($x);
} else {
    $para[] = 'op=auswahl';
    $i = 1;
    foreach ($_POST['action'] as $action => $key) {
        $para[] = 'feed' . $i . '=' . $action;
        $i++;
    }
    unset($i);
}
// && $_POST['limit'] > 0 && $_POST['limit'] < 16 && $_POST['limit'] != $limit
if (isset($_POST['limit']) && is_numeric($_POST['limit'])) {
    // mxDebugFuncVars($_POST); exit;
}

if (isset($_POST['limit']) && is_numeric($_POST['limit']) && $_POST['limit'] > 0 && $_POST['limit'] < 16 && $_POST['limit'] != $limit) {
    $limit = intval($_POST['limit']);
    $para[] = 'limit=' . $limit;
}
if (isset($_POST['rdt']) && is_numeric($_POST['rdt']) && $_POST['rdt'] > 0 && $_POST['rdt'] != $rssdecriptiontrunk) {
    $rssdecriptiontrunk = intval($_POST['rdt']);
    $para[] = 'rdt=' . $rssdecriptiontrunk;
}
if (isset($_POST['pdt']) && is_numeric($_POST['pdt']) && $_POST['pdt'] > 0 && $_POST['pdt'] != $imagedescriptiontrunk) {
    $imagedescriptiontrunk = intval($_POST['pdt']);
    $para[] = 'pdt=' . $imagedescriptiontrunk;
}
if (isset($_POST['idt']) && is_numeric($_POST['idt']) && $_POST['idt'] > 0 && $_POST['idt'] != $itemdescriptiontrunk) {
    $itemdescriptiontrunk = intval($_POST['idt']);
    $para[] = 'idt=' . $itemdescriptiontrunk;
}

$para = implode('&amp;', $para);
$para = MX_BASE_URL . $rssfile . '?' . $para;

include('header.php');
title('RSS-Feed\'s zusammenstellen');
opentable();

?>

<form action="modules.php?name=<?php echo $module_name ?>" method="post" name="rss" id="rss">
<table width="100%" border="1" cellspacing="0" cellpadding="3">
<tr>
	<th width="20%">Version</th>
	<th width="15%">Bereiche</th>
	<th width="65%">Sonstiges</th>
</tr>
<tr valign="top">
	<td><?php echo $options_version ?></td>
	<td><?php echo $options_action ?></td>
	<td>
<table cellspacing="0" cellpadding="3">
<tr valign="top"><td><input type="text" name="limit" value="<?php echo $limit ?>" size="4" maxlength="2"></td><td>wieviel einzelne Punkte in den jeweiligen feeds anzeigen (15 maximal !)</td></tr>
<tr valign="top"><td><input type="text" name="rdt" value="<?php echo $rssdecriptiontrunk ?>" size="4" maxlength="3"></td><td>max. Angezeigte Lnge der RSS-Beschreibung</td></tr>
<tr valign="top"><td><input type="text" name="pdt" value="<?php echo $imagedescriptiontrunk ?>" size="4" maxlength="3"></td><td>max. Angezeigte Lnge der Image-Beschreibung</td></tr>
<tr valign="top"><td><input type="text" name="idt" value="<?php echo $itemdescriptiontrunk ?>" size="4" maxlength="3"></td><td>max. Angezeigte Lnge der einzelnen Item-Beschreibung</td></tr>
</table>
	</td>
</tr>
</table>
<input type="hidden" name="name" value="<?php echo $module_name ?>">
<input type="submit" value="Link erstellen">
</form><br>

<p>Der Link zum kopieren:<br>
<input type="text" name="show" value="<?php echo $para ?>" size="80">
</p>

<p>Der Link zum anklicken:<br>
<a href="<?php echo $para ?>" target="_blank"><span class="tiny"><?php echo wordwrap($para, 80, "\n", 1) ?></span></a>
</p>

<p>Ausgabequelltext-Vorschau:<br>
<iframe src="<?php echo $para ?>" name="iframe" id="iframe" width="95%" height="350" marginwidth="5" marginheight="5" align="center"></iframe>
</p>
<?php
closetable();
include('footer.php');

?>